/*  Copyright (C) 2001-2002  Kenichi Suto
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include "defs.h"

CANVAS *create_canvas(GtkWidget *window);
gboolean destroy_canvas(CANVAS *canvas);
gboolean create_pixmap(CANVAS *canvas);
gboolean clear_canvas(CANVAS *canvas);
gboolean fill_canvas(CANVAS *canvas);
gboolean simulate_canvas(CANVAS *canvas, BOOK_INFO *binfo, gchar *text, gint max_width, gint max_height);
gboolean draw_canvas(CANVAS *canvas, BOOK_INFO *binfo, gchar *text);

